#pragma once
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/Font.hpp>
#include "guecs.hpp"

namespace gui {
  class OverlayUI {
    public:
      guecs::UI $gui;
      GameLevel $level;
      TexturePack& $textures;

      OverlayUI(GameLevel level, TexturePack& $textures);

      void render();
      void draw(sf::RenderWindow& window);
      void click(int x, int y);
      void show_damage(bool show);
      void init_stats();
      void draw_stats(std::string stats);
      void close_stats();
  };
}
